com.taosdata.jdbc.ws.entity

## Class Payload

- java.lang.Object
- - com.taosdata.jdbc.ws.entity.Payload

Direct Known Subclasses:
  AssignmentReq, CloseReq, CommitOffsetReq, CommitReq, CommittedReq, ConnectReq, ConnReq, ExecReq, FetchJsonMetaReq, FetchRawReq, FetchReq, InitReq, InsertReq, ListTopicsReq, PollReq, PositionReq, PrepareReq, QueryReq, ResultReq, SeekReq, SubscribeReq, UnsubscribeReq, VersionReq

    public class Payload
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Payload()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getReqId()`
`void` `setReqId(long reqId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Payload

    public Payload()

### Method Detail

#### setReqId

    public void setReqId(long reqId)

#### getReqId

    public long getReqId()